{% extends '../base.html'%} {% block main %} {% load static %}
<div class="main-container" style="margin: 2rem 5% 0 5%">
  <div class="my-repair-title">
    <p class="fs-1-rem">Message de <span class="text-primary">{{ msg.user.get_last_name }} {{ msg.user.get_first_name }}</span></p>
  </div>
  <!-- todo -->
  <style>
    .normal-display-page {
      display: flex;
      justify-content: center;
      align-items: center;
      font-family: Arial, sans-serif;
    }

    .normal-display-page.message section {
      width: 80%;
      background-color: #f5f5f5;
      border-radius: 10px;
      padding: 20px;
      box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    }

    .normal-display-page.message ul {
      list-style-type: none;
      padding: 0;
      margin-bottom: 20px;
    }

    .normal-display-page.message li {
      margin-bottom: 5px;
      word-wrap: break-word;
    }

    .normal-display-page.message li:first-child {
      font-weight: bold;
    }
    .normal-display-page.message .fake-link {
      color: #1e88e5;
      cursor: pointer;
      border-bottom: 0.5px solid #1e88e5;
    }
    .normal-display-page.message .one-message-main-img {
      width: 50%;
      max-width: 55rem;
      height: initial !important;
    }
    .normal-display-page.message .images-container {
      display: flex;
      justify-content: flex-start;
      align-items: center;
      gap: 1rem;
      margin-top: 1rem;
      overflow-y: hidden;
      overflow-x: auto;
    }
    .normal-display-page.message .all-images {
      width: 100%;
      height: 100%;
      max-width: 6rem;
      object-fit: cover;
      aspect-ratio: 1;
    }

    /* 900px */
    @media (max-width: 900px) {
      .normal-display-page.message section {
        width: 100% !important;
      }
      .normal-display-page.message .one-message-main-img {
        width: 100% !important;
      }
      .normal-display-page.message .all-images {
        max-width: 3rem;
      }
    }
  </style>

  <div class="normal-display-page message position-relative">
    {% include "../components/quick_access.html" %}
    <section>
      <ul>
        <li>Fait par</li>
        <li>{{ msg.user.get_last_name }} {{ msg.user.get_first_name }}</li>
      </ul>
      <ul>
        <li>Email :</li>
        <li>{{ msg.user.email }}</li>
      </ul>
      <ul>
        <li>Contenu du message :</li>
        <li>{{ msg.request|linebreaks }}</li>
      </ul>
      <ul>
        <li>Fait le :</li>
        <li>
          {{ msg.created_at }}<br />
          Il y a {{ msg.created_at|timesince }}
        </li>
      </ul>
      <ul>
        <li>Images :</li>
        <li class="d-flex justify-content-center align-content-center">
          <img
            class="one-message-main-img"
            id="main-image"
            src="../../media/{{ msg.images.all.0.url }}"
            alt="{{ msg.images.all.0 }}"
          />
        </li>
        <div class="images-container">
          {% for image in msg.images.all %}
          <img
            class="all-images"
            src="../../media/{{ image.url }}"
            alt="{{ image.url }}"
          />
          {% endfor %}
        </div>
      </ul>
      <ul class="d-flex justify-content-center align-content-center gap-5">
        {% if msg.active %}
        <a href="{% url 'archiving_message' msg.id False %}" class="normal-link  bg-danger text-white px-3 py-2 rounded shadow">Archifer</a>
        {% else %}
        <a href="{% url 'archiving_message' msg.id True %}" class="normal-link bg-danger text-white px-3 py-2 rounded shadow">Désarchiver</a>
        {% endif %}
        <a href="{% url 'answer_message' msg.id %}" class="normal-link text-decoration-none bg-success text-white px-3 py-2 rounded shadow">Reprendre</a>
      </ul>
    </section>
  </div>

  <script src="{% static 'assets/js/script.js' %}"></script>
  <script>
    changeImageFocus();
  </script>
</div>

{% endblock main%}
